VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsDataVersion"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Public idVersion As Integer
Public Version As String

Private rec As Recordset
Private strRequete As String
Public Sub ChargeVersion()
    
    If QShema.Versions.Count = 0 Then
        Set rec = Base.OpenRecordset("Select * from Version", dbOpenForwardOnly, dbReadOnly)
        
        With rec
            Do While Not .EOF
                
                Me.idVersion = .Fields("idEcran")
                Me.Version = .Fields("idProjet")
                QShema.Versions.Add Me, "*" & Me.idVersion
                .MoveNext
            Loop
            .Close
        End With
    End If

End Sub
